--Check Class
if select(2, UnitClass('player')) ~= "PALADIN" then
    DisableAddOn("HolyPowerIndicator")
    return
end

--Remove Blizzard Frame
PaladinPowerBar:SetAlpha(0)

--Frame
local frame, events = CreateFrame("Frame"), {}
local texture = frame:CreateTexture()
frame:SetWidth(128)
frame:SetHeight(128)
texture:SetAllPoints(frame)
frame:SetPoint("CENTER",0, -100)

--Designate Texture (change Alliance to desired texture folder, i.e. Horde, Coins, etc.)
local textureSelect = "Interface\\AddOns\\HolyPowerIndicator\\Number\\"

--Find Holy Power & display count
function events:UNIT_POWER(source,type)
    if source == "player" and type == "HOLY_POWER" then
        local power = UnitPower("player",9)

        if power == 1 then
            texture:SetTexture(textureSelect.."1.tga")
            frame:Show()

        elseif power == 2 then
            texture:SetTexture(textureSelect.."2.tga")
            frame:Show()

        elseif power == 3 then
            texture:SetTexture(textureSelect.."3.tga")
            frame:Show()

        elseif power == 0 then
            frame:Hide()
        end
    end
end

--Register Events
frame:SetScript("OnEvent",function(self,event,...) events[event](self,...) end)

for k,v in pairs(events) do
    frame:RegisterEvent(k)
end